nx_metadata_sdk 1.0 Metadata SDK

Public Member Functions | List of all members
nx::vms_server_plugins::analytics::test::UtilityProvider Class Reference
Inheritance diagram for nx::vms_server_plugins::analytics::test::UtilityProvider:

## Public Member Functions
virtual int64_t | vmsSystemTimeSinceEpochMs () const override
virtual const nx::sdk::IString * | getHomeDir () const override
virtual const char * | serverId () const override
virtual const nx::sdk::IString * | getServerSdkVersion () const override
Public Member Functions inherited from nx::sdk::RefCountable< IUtilityProvider >
| RefCountable (const RefCountable &)=delete
| RefCountable (RefCountable &&)=delete
RefCountable & | operator= (const RefCountable &)=delete
RefCountable & | operator= (RefCountable &&)=delete
virtual int | addRef () const override
virtual int | releaseRef () const override
int | refCount () const
Public Member Functions inherited from nx::sdk::Interface< IUtilityProvider, IUtilityProvider1 >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IUtilityProvider1
std::string | serverSdkVersion () const
Public Member Functions inherited from nx::sdk::Interface< IUtilityProvider1, IUtilityProvider0 >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IUtilityProvider0
std::string | homeDir () const
Public Member Functions inherited from nx::sdk::Interface< IUtilityProvider0 >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IRefCountable
virtual | ~IRefCountable ()=default
template<class Interface >
Ptr< Interface > | queryInterface ()
template<class Interface >
Ptr< const Interface > | queryInterface () const
int | refCountThreadUnsafe () const

## Additional Inherited Members
Static Public Member Functions inherited from nx::sdk::IUtilityProvider
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IUtilityProvider1
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IUtilityProvider0
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IRefCountable
static auto | interfaceId ()
Protected Member Functions inherited from nx::sdk::Interface< IUtilityProvider, IUtilityProvider1 >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)
Protected Member Functions inherited from nx::sdk::Interface< IUtilityProvider1, IUtilityProvider0 >
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)
Protected Member Functions inherited from nx::sdk::Interface< IUtilityProvider0 >
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)
Static Protected Member Functions inherited from nx::sdk::IRefCountable
template<int len>
static constexpr const InterfaceId * | makeId (const char(&charArray)[len])
template<class TemplateInstance , class TemplateArg , int len>
static const InterfaceId * | makeIdForTemplate (const char(&baseIdCharArray)[len])

## Member Function Documentation

## ◆ getHomeDir()

virtual const nx::sdk::IString* nx::vms_server_plugins::analytics::test::UtilityProvider::getHomeDir | ( |  | ) | const
| inline override virtual

Called by homeDir()

Implements nx::sdk::IUtilityProvider0.

## ◆ getServerSdkVersion()

virtual const nx::sdk::IString* nx::vms_server_plugins::analytics::test::UtilityProvider::getServerSdkVersion | ( |  | ) | const
| inline override virtual

Called by serverSdkVersion()

Implements nx::sdk::IUtilityProvider1.

## ◆ vmsSystemTimeSinceEpochMs()

virtual int64_t nx::vms_server_plugins::analytics::test::UtilityProvider::vmsSystemTimeSinceEpochMs | ( |  | ) | const
| inline override virtual

VMT #4.

Returns
  Synchronized System time - common time for all Servers in the VMS System.

Implements nx::sdk::IUtilityProvider0.

The documentation for this class was generated from the following file:

- samples/unit_tests/src/analytics_plugin_ut.cpp